Subject: Re: bug#77725: 31.0.50; Add support for types accepted by `cl-typep' to cl-generic?

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 May 2025 12:28:57 -0400

> So, to create the predefined derived types, it seems that cl-macs
> needs to be explicitly loaded. I wonder if this is the expected
> behavior?

Agreed.  But this is the way it's been defined since times immemorial,
so I'm not sure we want to change it.  I'm not saying we don't, because
the new features mean that the circumstances have changed, but I think
I'd rather see first how things play out.

Some of those types are virtually never used, so maybe we'll want to
move some but not all?

        Stefan